<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://arc-hive.zone
 * @since             1.0.0
 * @package           arcHIVE_WPPlugin
 *
 * @wordpress-plugin
 * arcHIVE WP Plugin:       arcHIVE WP Plugin for theme support
 * Plugin URI:        https://arc-hive.zone/archive-wpplugin-uri/
 * Description:       All the <strong>options</strong> for <strong>arcHIVE website</strong> which do not come by default with Wordpress.
 * Version:           1.0.0
 * Author:            Jorge - vitrubio.net
 * Author URI:        https://vitrubio.net/
 * License:           GPL-3.0+
 * License URI:       http://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       archive-wpplugin
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
//defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ARCHIVE_WPPLUGIN_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-archive-wpplugin-activator.php
 */
function activate_archive_wpplugin() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-archive-wpplugin-activator.php';
	arcHIVE_WPPlugin_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-archive-wpplugin-deactivator.php
 */
function deactivate_archive_wpplugin() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-archive-wpplugin-deactivator.php';
	arcHIVE_WPPlugin_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_archive_wpplugin' );
register_deactivation_hook( __FILE__, 'deactivate_archive_wpplugin' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-archive-wpplugin.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_archive_wpplugin() {

	$plugin = new arcHIVE_WPPlugin();
	$plugin->run();

}
run_archive_wpplugin();
